local helpers = require("Helpers")

local m =
{
}


local function CheckSize(buffer, reportSize, tree)
	local size = buffer:len()
	
	if size < 4 or reportSize > size then
		helpers.ErrorSize(tree)
		return size
	end
	
	return reportSize
end


local function Parse(proto, buffer, reportSize, tree)
	-- TODO
end


-- Returns the number of consumed bytes
function m.ParseReportIn(proto, buffer, reportSize, tree)
	local size = CheckSize(buffer, reportSize, tree)

	if size > 0 then
		tree:add(proto, buffer(0, size), "In Channel Names Report")
	end

	return size
end


-- Returns the number of consumed bytes
function m.ParseReportOut(proto, buffer, reportSize, tree)
	local size = CheckSize(buffer, reportSize, tree)

	if size > 0 then
		tree:add(proto, buffer(0, size), "Out Channel Names Report")
	end

	return size
end


return m
