local m =
{
	devices = {},
}


function m.GetPid(ip)
	-- NOTE: ip is a reference so it can't be directly used as a key
	local pid = m.devices[tostring(ip)]
	if not pid then pid = 0 end
	
	return pid
end


function m.AddPid(ip, pid)
	m.devices[tostring(ip)] = pid
end


function m.GetDeviceName(pid)
	if pid == 6 then  return "DARK1616M"
	elseif pid == 28 then return "DARK8MAI"
	elseif pid == 30 then return "Spark"
	elseif pid == 49 then return "Divine"
	end
	
	return "Unknown"
end

return m
